libnet_802_1q_hdr(3)

NAME
libnet_802_1q_hdr -

SYNOPSIS

#include <libnet-headers.h>

  Data Fields
u_int8_t vlan_dhost [ETHER_ADDR_LEN]
u_int8_t vlan_shost [ETHER_ADDR_LEN]
u_int16_t vlan_tpi
u_int16_t vlan_priority_c_vid
u_int16_t vlan_len

Detailed Description

IEEE 802.1Q (Virtual Local Area Network) VLAN header, static header size: 18 bytes

Field Documentation

  u_int8_t libnet_802_1q_hdr::vlan_dhost[ETHER_ADDR_LEN]

destination ethernet address

  u_int16_t libnet_802_1q_hdr::vlan_len

length or type (802.3 / Eth 2)

  u_int16_t libnet_802_1q_hdr::vlan_priority_c_vid

priority | VLAN ID

  u_int8_t libnet_802_1q_hdr::vlan_shost[ETHER_ADDR_LEN]

source ethernet address

  u_int16_t libnet_802_1q_hdr::vlan_tpi

tag protocol ID

Author

Generated automatically by Doxygen for libnet from the source code.